Bug 86 - update BlankGlyph list : Unicode 4.0
Summary: update BlankGlyph list : Unicode 4.0
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2.2
Hardware: All All
: high normal
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-09 12:37 UTC by Jungshik Shin
Modified: 2005-01-12 15:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Jungshik Shin 2003-05-09 12:37:44 UTC
Unicode 4.0 was released a few weeks ago and it enumerates
'Default_Ignorable_Code_Point's at 
http://www.unicode.org/Public/4.0-Update/DerivedCoreProperties-4.0.0.txt

It clarifies some of problems not resolved before. For instance,
it tells us  which of Mongolian variation selectors are ignorable 
(actually, the other day I found that Unicode 3.0 explained which are
invisible). 

ZWJ/ZWNJ are not there because they have 'visual' effects on most cases, but
blank glyph list may/should keep including characters like that as it does now.
So, fontconfig blank glyph list will be a union of 'default_ignorable' and
some other characters.
Comment 1 Keith Packard 2003-05-09 13:36:24 UTC
Should we provide an automated way to extract the appropriate set of codepoints
from the standard Unicode file?
Comment 2 Keith Packard 2005-01-13 10:10:46 UTC
I've updated the list from the Unicode 4.0.1 spec.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.